com.sun.grid.jgdi.util.shell

## Class QStatCommand

- java.lang.Object
- - com.sun.grid.jgdi.util.shell.AbstractCommand
  - - com.sun.grid.jgdi.util.shell.AnnotatedCommand
    - - com.sun.grid.jgdi.util.shell.QStatCommand

-     public class QStatCommand
      extends AnnotatedCommand

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QStatCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `explainState(OptionInfo oi)`
    `void` | `hideEmptyQueues(OptionInfo oi)`
    `void` | `printUsage(OptionInfo oi)`
    `void` | `run(java.lang.String[] args)` Run the command
    `void` | `selectQueuesInState(OptionInfo oi)`
    `void` | `setGroupOptions(OptionInfo oi)`
    `void` | `setParallelEnvironmentList(OptionInfo oi)`
    `void` | `setQueueList(OptionInfo oi)`
    `void` | `setResourceAttributes(OptionInfo oi)`
    `void` | `setResourceList(OptionInfo oi)`
    `void` | `setShowSchedulerJobInfo(OptionInfo oi)`
    `void` | `setXml(OptionInfo oi)`
    `void` | `showExtendedAttributes(OptionInfo oi)`
    `void` | `showFullOutput(OptionInfo oi)`
    `void` | `showJobPriority(OptionInfo oi)`
    `void` | `showJobsForUsersInUserList(OptionInfo oi)`
    `void` | `showJobsInState(OptionInfo oi)`
    `void` | `showJobUrgency(OptionInfo oi)`
    `void` | `showQueuesAccessibleToUserList(OptionInfo oi)`
    `void` | `showRequestedResources(OptionInfo oi)`
    `void` | `showTaskInformation(OptionInfo oi)`

    - ### Methods inherited from class com.sun.grid.jgdi.util.shell.AnnotatedCommand

      `getCustomExitCode, getDefaultErrorMessage, getExtraArguments, getOptionDescriptorMap, getOptionInfo, getOriginalExtraArguments, hasExtraArguments, initOptionDescriptorMap, invokeOptions, listOptions, parseAndInvokeOptions, parseOptions, tokenizeArgs`

    - ### Methods inherited from class com.sun.grid.jgdi.util.shell.AbstractCommand

      `getExitCode, getShell, getUsage, init, printAnswers, setExitCode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QStatCommand

          public QStatCommand()

  - ### Method Detail

    - #### run

          public void run(java.lang.String[] args)
                   throws java.lang.Exception

      Description copied from class: `AbstractCommand`
      Run the command
      Specified by:
        `run` in class `AbstractCommand`
      Throws:
        `java.lang.Exception`

    - #### showExtendedAttributes

          public void showExtendedAttributes(OptionInfo oi)
                                      throws JGDIException

      Throws:
        `JGDIException`

    - #### explainState

          public void explainState(OptionInfo oi)
                            throws JGDIException

      Throws:
        `JGDIException`

    - #### showFullOutput

          public void showFullOutput(OptionInfo oi)
                              throws JGDIException

      Throws:
        `JGDIException`

    - #### setResourceAttributes

          public void setResourceAttributes(OptionInfo oi)
                                     throws JGDIException

      Throws:
        `JGDIException`

    - #### setGroupOptions

          public void setGroupOptions(OptionInfo oi)
                               throws JGDIException

      Throws:
        `JGDIException`

    - #### printUsage

          public void printUsage(OptionInfo oi)
                          throws JGDIException

      Throws:
        `JGDIException`

    - #### setShowSchedulerJobInfo

          public void setShowSchedulerJobInfo(OptionInfo oi)
                                       throws JGDIException

      Throws:
        `JGDIException`

    - #### setResourceList

          public void setResourceList(OptionInfo oi)
                               throws JGDIException

      Throws:
        `JGDIException`

    - #### hideEmptyQueues

          public void hideEmptyQueues(OptionInfo oi)
                               throws JGDIException

      Throws:
        `JGDIException`

    - #### setParallelEnvironmentList

          public void setParallelEnvironmentList(OptionInfo oi)
                                          throws JGDIException

      Throws:
        `JGDIException`

    - #### setQueueList

          public void setQueueList(OptionInfo oi)
                            throws JGDIException

      Throws:
        `JGDIException`

    - #### selectQueuesInState

          public void selectQueuesInState(OptionInfo oi)
                                   throws JGDIException

      Throws:
        `JGDIException`

    - #### showRequestedResources

          public void showRequestedResources(OptionInfo oi)
                                      throws JGDIException

      Throws:
        `JGDIException`

    - #### showJobsInState

          public void showJobsInState(OptionInfo oi)
                               throws JGDIException

      Throws:
        `JGDIException`

    - #### showTaskInformation

          public void showTaskInformation(OptionInfo oi)
                                   throws JGDIException

      Throws:
        `JGDIException`

    - #### showJobsForUsersInUserList

          public void showJobsForUsersInUserList(OptionInfo oi)
                                          throws JGDIException

      Throws:
        `JGDIException`

    - #### showQueuesAccessibleToUserList

          public void showQueuesAccessibleToUserList(OptionInfo oi)
                                              throws JGDIException

      Throws:
        `JGDIException`

    - #### showJobUrgency

          public void showJobUrgency(OptionInfo oi)
                              throws JGDIException

      Throws:
        `JGDIException`

    - #### showJobPriority

          public void showJobPriority(OptionInfo oi)
                               throws JGDIException

      Throws:
        `JGDIException`

    - #### setXml

          public void setXml(OptionInfo oi)
                      throws JGDIException

      Throws:
        `JGDIException`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.